Ubuntu 6282 Published by

A Git security update has been released for Ubuntu Linux 16.04 ESM, 18.04 LTS, 20.04 LTS, 22.04 LTS, and 22.10.



USN-5871-1: Git vulnerabilities


=========================================================================
Ubuntu Security Notice USN-5871-1
February 14, 2023

git vulnerabilities
=========================================================================
A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.10
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS
- Ubuntu 16.04 ESM

Summary:

Several security issues were fixed in Git.

Software Description:
- git: fast, scalable, distributed revision control system

Details:

It was discovered that Git incorrectly handled certain repositories.
An attacker could use this issue to make Git uses its local
clone optimization even when using a non-local transport.
(CVE-2023-22490)

Joern Schneeweisz discovered that Git incorrectly handled certain commands.
An attacker could possibly use this issue to overwrite a patch outside
the working tree. (CVE-2023-23946)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.10:
git 1:2.37.2-1ubuntu1.4

Ubuntu 22.04 LTS:
git 1:2.34.1-1ubuntu1.8

Ubuntu 20.04 LTS:
git 1:2.25.1-1ubuntu3.10

Ubuntu 18.04 LTS:
git 1:2.17.1-1ubuntu0.16

Ubuntu 16.04 ESM:
git 1:2.7.4-0ubuntu1.10+esm5

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-5871-1
CVE-2023-22490, CVE-2023-23946

Package Information:
  https://launchpad.net/ubuntu/+source/git/1:2.37.2-1ubuntu1.4
  https://launchpad.net/ubuntu/+source/git/1:2.34.1-1ubuntu1.8
  https://launchpad.net/ubuntu/+source/git/1:2.25.1-1ubuntu3.10
  https://launchpad.net/ubuntu/+source/git/1:2.17.1-1ubuntu0.16